<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <import type="android.view.View" />
        <variable
            name="vm"
            type="com.quansu.heifengwuliu.vmodel.SourceDetailsVModel" />

    </data>

    <LinearLayout
        android:id="@+id/ll"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_page_bg"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:orientation="vertical">


            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginEnd="@dimen/dp_10"
                android:orientation="vertical"
                android:padding="@dimen/dp_10"
                app:qmui_backgroundColor="@color/white"
                app:qmui_radius="@dimen/dp_10">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView

                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_10"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="@{vm.info.order.send[0].province.name+vm.info.order.send[0].city.name+vm.info.order.send[0].area.name}"
                        android:textColor="#4D9EEB"
                        android:textSize="@dimen/sp_15"
                        tools:text="山东 临沂"></TextView>

                    <ImageView
                        android:layout_width="40dp"
                        android:layout_height="20dp"
                        android:src="@drawable/ic_arrow"></ImageView>

                    <TextView
                        android:id="@+id/tv_city_in"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="@dimen/dp_10"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="@{vm.info.order.receive[0].province.name+vm.info.order.receive[0].city.name+vm.info.order.receive[0].area.name}"
                        android:textColor="#BC5B55"
                        android:textSize="@dimen/sp_15"
                        tools:text="河北 唐山"></TextView>


                </LinearLayout>


                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recycler_view_out"
                    android:layout_width="match_parent"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    tools:listitem="@layout/item_peopleinfo"
                    android:layout_height="wrap_content">
                </androidx.recyclerview.widget.RecyclerView>


                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recycler_view_in"
                    android:layout_width="match_parent"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    tools:listitem="@layout/item_enterinfo"
                    android:layout_height="wrap_content">
                </androidx.recyclerview.widget.RecyclerView>






            </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>


            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginEnd="@dimen/dp_10"
                android:orientation="vertical"
                android:padding="@dimen/dp_10"
                app:layout_goneMarginTop="@dimen/dp_10"
                app:qmui_backgroundColor="@color/white"
                app:qmui_radius="@dimen/dp_10">


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="@dimen/dp_80"
                        android:layout_height="wrap_content"
                        android:textColor="@color/text_title1"
                        android:textSize="@dimen/sp_15"
                        android:text="运单号："></TextView>

                    <TextView

                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="@{vm.info.order.info_sn}"
                        android:textColor="@color/text_title"
                        android:textSize="@dimen/sp_15"
                        tools:text="电话:1835399999"></TextView>


                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="@dimen/dp_80"

                        android:layout_height="wrap_content"
                        android:textColor="@color/text_title1"
                        android:textSize="@dimen/sp_15"
                        android:text="货物信息："></TextView>

                    <TextView

                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="@{vm.info.order.receive[0].goods+@string/spot+vm.info.order.receive[0].nums+vm.info.order.receive[0].nums_type.name}"
                        android:textColor="@color/text_title"
                        android:textSize="@dimen/sp_15"
                        tools:text="电话:1835399999"></TextView>


                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="@dimen/dp_80"

                        android:layout_height="wrap_content"
                        android:textColor="@color/text_title1"
                        android:textSize="@dimen/sp_15"
                        android:text="车型车长："></TextView>

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:textColor="@color/text_title"
                        android:textSize="@dimen/sp_15"
                        android:text="@{vm.info.order.type_info.type_name+@string/spot+vm.info.order.type_info.longx+@string/rice}"
                        tools:text="电话:1835399999"></TextView>


                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="@dimen/dp_80"

                        android:layout_height="wrap_content"
                        android:textColor="@color/text_title1"
                        android:textSize="@dimen/sp_15"
                        android:text="备注："></TextView>

                    <TextView

                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="@{vm.info.order.data}"
                        android:textColor="@color/text_title"
                        android:textSize="@dimen/sp_15"
                        tools:text="电话:1835399999"></TextView>


                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginBottom="@dimen/dp_5"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="@dimen/dp_80"
                        android:layout_height="wrap_content"
                        android:textColor="@color/text_title1"
                        android:textSize="@dimen/sp_15"
                        android:text="纸质回单："></TextView>

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:textColor="@color/text_title"
                        android:textSize="@dimen/sp_15"
                        tools:text="电话:1835399999"></TextView>


                </LinearLayout>


            </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>


            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginEnd="@dimen/dp_10"
                android:orientation="vertical"
                android:padding="@dimen/dp_10"
                app:layout_goneMarginTop="@dimen/dp_10"
                app:qmui_backgroundColor="@color/white"
                app:qmui_radius="@dimen/dp_10">


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="@dimen/dp_80"
                        android:layout_height="wrap_content"
                        android:textColor="@color/text_title1"
                        android:textSize="@dimen/sp_15"
                        android:text="总运费："></TextView>

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="right"
                        android:textColor="@color/text_title"
                        android:textSize="@dimen/sp_15"
                        android:text="@{@string/total_img+vm.info.order.total}"
                        tools:text="￥30000"></TextView>


                </LinearLayout>

            </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>

        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dp_10"
            android:orientation="horizontal">


            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/but_cancel"
                android:layout_width="120dp"
                android:layout_height="@dimen/dp_40"
                android:layout_marginStart="@dimen/dp_10"
                android:onClick="@{v->vm.setCancelOrder(vm.info.order.info_id)}"
                android:text="取消发布"
                android:visibility="@{vm.info.order.info_state==10||vm.info.order.info_state==20? View.VISIBLE :View.GONE}"
                android:textColor="@color/text_title"
                app:qmui_borderColor="@color/color_line"
                app:qmui_radius="@dimen/dp_4">

            </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton>

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/but_comeback"
                android:layout_width="120dp"
                android:layout_height="@dimen/dp_40"
                android:layout_marginStart="@dimen/dp_15"
                android:text="再来一单"
                android:onClick="@{v->vm.anotherOne()}"
                android:textColor="@color/text_title"
                app:qmui_borderColor="@color/color_line"
                app:qmui_radius="@dimen/dp_4">

            </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton>


        </LinearLayout>


    </LinearLayout>
</layout>
